import { Canvas } from "./Canvas";
import { IRepulse } from "../Interfaces/IRepulse";
import { IBubble } from "../Interfaces/IBubble";
import { IImage } from "../Interfaces/IImage";
import { ISvg } from "../Interfaces/ISvg";
import { IOptions } from "../Interfaces/Options/IOptions";
import { IContainerInteractivity } from "../Interfaces/IContainerInteractivity";
import { Particles } from "./Particles";
import { Retina } from "./Retina";
import { PolygonMask } from "./PolygonMask";
import { IOptionsShapeImage } from "../Interfaces/Options/Shape/IOptionsShapeImage";
/**
 * The object loaded into an HTML element, it'll contain options loaded and all data to let everything working
 */
export declare class Container {
    interactivity: IContainerInteractivity;
    options: IOptions;
    retina: Retina;
    canvas: Canvas;
    particles: Particles;
    polygon: PolygonMask;
    checkAnimFrame?: number;
    drawAnimFrame?: number;
    bubble: IBubble;
    repulse: IRepulse;
    svg: ISvg;
    images: Array<IImage>;
    lastFrameTime: number;
    pageHidden: boolean;
    private readonly eventListeners;
    constructor(tagId: string, params: IOptions);
    private static requestFrame;
    private static cancelAnimation;
    densityAutoParticles(): void;
    destroy(): void;
    exportImg(): void;
    loadImg(image: IImage, optionsImage: IOptionsShapeImage): Promise<void>;
    refresh(): Promise<void>;
    start(): Promise<void>;
    private init;
    private handleVisibilityChange;
    private draw;
    private checkBeforeDraw;
}
